Bug 563736 - RFE: RHQ Agent's `avail` output could be sorted.
RFE: RHQ Agent's `avail` output could be sorted.
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.3
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: FutureFeature
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2010-02-10 18:28 EST by Ondřej Žižka
Modified: 2014-04-04 13:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 13:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2010-02-10 18:28:31 EST
RHQ Agent's `avail` output could be sorted - either by name or type.


Expected result:
================

Availability Report from Feb 10, 2010 11:59:32 PM
Resources in report: 36
Includes Only Changed Resources: false
UP:     CPU 0
UP:     CPU 1
UP:     CPU 2
UP:     CPU 3
UP:     CPU 4
UP:     CPU 5
UP:     CPU 6
UP:     CPU 7
DOWN:   eth1
DOWN:   eth0
UP:     jawa14
DOWN:   JAWA14 Apache 2.2.14 (C:\Program Files\Red Hat\Enterprise Web Server\)
UP:     JAWA14  File System (local) C:\
UP:     lo0


Actual result:
================

Availability Report from Feb 10, 2010 11:59:32 PM
Resources in report: 36
Includes Only Changed Resources: false
UP:     jawa14
UP:     CPU 3
DOWN:   eth1
DOWN:   eth0
UP:     lo0
DOWN:   JAWA14 Apache 2.2.14 (C:\Program Files\Red Hat\Enterprise Web Server\)
UP:     CPU 0
UP:     CPU 7
UP:     CPU 6
UP:     CPU 1
UP:     CPU 5
UP:     CPU 2
UP:     JAWA14  File System (local) C:\
UP:     CPU 4
Comment 1 wes hayutin 2010-02-16 11:54:31 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:59:59 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Jay Shaughnessy 2014-04-04 13:27:47 EDT
The availability report is an internal entity and sorting provides no advantage.  Please re-open if I'm missing the point, but otherwise I'm closing as wont fix.

Note You need to log in before you can comment on or make changes to this bug.